#! /bin/bash

# BASE_DIR:     is the base directory of your submission
# BIN_DIR:      is the directory containing the binaries
# MODELS_DIR:   is the directory containing the directories for all models
# MODEL_DIR:    is the directory containing the current model
# MODEL:        is the name of the model that is being processed
# SCALE:        is the current scaling value
#               (e.g., number of philosopher for the philosopher model)
#               for the model that is being processed
# FORMULA_FILE: when evaluating a formula, this contains the path of the
#               file that contains the formula to be processed

case "$1" in
  "-start")
    # Add here your own code.
    # MODEL contains the model name
    ;;
  "-stop")
    # Add here your own code.
    # MODEL contains the model name
    ;;
  "-generate")
    # MODEL contains the model name
    # SCALE contains the instance parameters
    #
    # Add here your own code.
    # IMPORTANT: the tool must generate the full state space and provides
    #            the number of explicit states in the system in stdout
    #            using the following format in two separated lines:
    #                  STATE_SPACE <SVAL> TECHNIQUES <TVAL1> <TVAL2> ...
    #            where:
    #            - <SVAL> is the number of computed states,
    #            - <TVALx> are techniques selected by the tool to perform
    #              this operation (several may be used together).
    #              Classification of these techniques are done by means of
    #              the following keywords:
    #                - EXPLICIT
    #                - ABSTRACTIONS
    #                - PARTIAL_ORDERS
    #                - PARALLEL_PROCESSING
    #                - DECISION_DIAGRAMS
    #                - SYMMETRIES
    #                - STATE_COMPRESSION
    #                - OTHERS
    #            These result must be provided ONLY WHEN computation is
    #            completed, otherwise output must be:
    #            - CANNOT_COMPUTE if you detect that your tool cannot
    #              process the query
    #            - DO_NOT_COMPETE if you are in a class of model or request
    #              that your tool is not able to process.
    #            No other information must be provided in stdout.
    ;;
  "-deadlocks")
    # MODEL contains the model name
    # SCALE contains the instance parameters
    #
    # Add here your own code.
    # IMPORTANT: the tool must search for deadlocks and display the result
    #            in stdout using the following format:
    #                  DEADLOCKS <DVAL> TECHNIQUES <TVAL1> <TVAL2> ...
    #            where:
    #            - <DVAL> is the number of deadlocks in the system,
    #            - <TVALx> are techniques selected by the tool to perform
    #              this operation (several may be used together).
    #              Classification of these techniques are done by means of
    #              the following keywords:
    #                - EXPLICIT
    #                - ABSTRACTIONS
    #                - PARTIAL_ORDERS
    #                - PARALLEL_PROCESSING
    #                - DECISION_DIAGRAMS
    #                - SYMMETRIES
    #                - STATE_COMPRESSION
    #                - OTHERS
    #            These result must be provided ONLY WHEN computation is
    #            completed, otherwise output must be:
    #            - CANNOT_COMPUTE if you detect that your tool cannot
    #              process the query
    #            - DO_NOT_COMPETE if you are in a class of model or request
    #              that your tool is not able to process.
    #            No other information must be provided in stdout.
    ;;
  "-check")
    # MODEL contains the model name
    # SCALE contains the instance parameters
    # FORMULA_FILE is the file containing the formulas to check
    #
    # Add here your own code.
    # IMPORTANT: the tool must evaluate the formulas found in the file
    #            referenceed in FORMULA_FILE and following the syntax
    #            presented in the submission manual.
    #            When calculus is completed, it displays the result in stdout
    #            using the following format:
		#									 FORMULA <NAME1> <RES1> TECHNIQUES <TVAL1> <TVAL2>...
		#									 FORMULA <NAME2> <RES2> TECHNIQUES <TVAL1> <TVAL2>...
		#	           where:
		#	           - <NAME> is the name of the formula in the file,
		#	           - <RES> is TRUE or FALSE,
		#	           - <TVALx> are techniques selected by the tool to perform
		#	           this operation (several may be used together).
		#	           Classification of these techniques are done by means of
		#	           the following keywords:
		#	             - EXPLICIT
		#	             - ABSTRACTIONS
		#	             - PARTIAL_ORDERS
		#	             - PARALLEL_PROCESSING
		#	             - DECISION_DIAGRAMS
		#	             - SYMMETRIES
		#	             - STATE_COMPRESSION
		#	             - OTHERS
		#	           These result must be provided ONLY WHEN computation is
		#	           completed, otherwise output must be:
		#	           - CANNOT_COMPUTE if you detect that your tool cannot
		#	             process the query
		#	           - DO_NOT_COMPETE if you are in a class of model or request
		#	             that your tool is not able to process.
		#	           No other information must be provided in stdout.
    ;;
  *)
    echo "$0: Wrong invocation:" >> $LOG_FILE
    exit 1
    ;;
esac
