#!/bin/bash
# Script to build an appropriate submission

source ./setup.sh -init

if [ ! "$TOOL_NAME" ]; then
  echo "TOOL_NAME not defined. Please edit file 'setup.sh' and fill it."
  exit 1
fi
if [ ! "$TEAM_NAME" ]; then
  echo "TEAM_NAME not defined" >> $LOG_FILE
fi
if [ ! "$INSTITUTION_NAME" ]; then
  echo "INSTITUTION_NAME not defined" >> $LOG_FILE
fi
if [ ! "$COUNTRY_NAME" ]; then
  echo "COUNTRY_NAME not defined" >> $LOG_FILE
fi
if [ ! "$CONTACT_EMAIL" ]; then
  echo "CONTACT_EMAIL not defined" >> $LOG_FILE
fi
if [ ! "$CONTACT_NAME" ]; then
  echo "CONTACT_NAME not defined" >> $LOG_FILE
fi
if [ ! "$CONTACT_PHONE" ]; then
  echo "CONTACT_PHONE not defined" >> $LOG_FILE
fi
if [ ! "$CONTACT_URL" ]; then
  echo "CONTACT_URL not defined" >> $LOG_FILE
fi


echo '--------------------------------------------------------------------'
echo "Preparing submission of tool $TOOL_NAME"
echo '--------------------------------------------------------------------'
echo "   Origin: $TEAM_NAME, $INSTITUTION_NAME ($COUNTRY_NAME)"
echo
echo "   Contact person: $CONTACT_NAME"
echo "   Contact email : $CONTACT_EMAIL"
echo "   Contact phone : $CONTACT_PHONE"
echo "   Contact URL   : $CONTACT_URL"
echo '--------------------------------------------------------------------'
echo
echo "Do you confirm ? (type control-C to deny, RC otherwise)"
echo
read X
tar cjf ${TOOL_NAME}-MCC-2011.bz2 MODELS bin setup.sh
